`<div dir="ltr">Strange indeed. This might be related to Jenkins scripts expecting /bin/sh to be bash, while on illumos it is not.<div>I've seen build/installation scripts in the past (especially coming from the linux world) that assume this and fail.</div><div><br></div><div>Dan.</div><div><br></div></div><div class="gmail_extra"><br><div class="gmail_quote">On Fri, Oct 3, 2014 at 2:54 PM, Magnus <span dir="ltr"><<a href="mailto:magnus@yonderway.com" target="_blank">magnus@yonderway.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex"><span class=""><br>
On Oct 3, 2014, at 4:09 AM, Dan Vatca <<a href="mailto:dan@syneto.net">dan@syneto.net</a>> wrote:<br>
><br>
><br>
> The user you are installing jenkins with (called jenkins) has configured his home directory as /export/home/jenkins, and that directory does not exist. Create a filesystem for it (or just a directory) and then change the user's home directory to that directory using usermod. Also change the owner of that directory to be jenkins (using chown).<br>
> Hope this helps,<br>
<br>
</span>Hi Dan,<br>
<br>
On the surface that might sound true. But…<br>
<br>
jenkins@jenkins:/export/home/jenkins$ pwd<br>
/export/home/jenkins<br>
<br>
-and-<br>
<br>
jenkins@jenkins:/export/home/jenkins$ cd ..<br>
jenkins@jenkins:/export/home$ ls -la | grep jenkins<br>
drwx------ 4 jenkins other 14 Oct 3 03:45 jenkins<br>
<br>
Strange, huh?<br>
<span class="HOEnZb"><font color="#888888"><br>
-M<br>
</font></span><div class="HOEnZb"><div class="h5">_______________________________________________<br>
OmniOS-discuss mailing list<br>
<a href="mailto:OmniOS-discuss@lists.omniti.com">OmniOS-discuss@lists.omniti.com</a><br>
<a href="http://lists.omniti.com/mailman/listinfo/omnios-discuss" target="_blank">http://lists.omniti.com/mailman/listinfo/omnios-discuss</a><br>
</div></div></blockquote></div><br></div>
`